#!version:1.0.0.1

##File header "#!version:1.0.0.1" can not be edited or deleted.##

#######################################################################################
##                          Network                                                  ##
#######################################################################################

#Configure the WAN port type; 0-DHCP(default), 1-PPPoE, 2-Static IP Address;
#Require reboot;
network.internet_port.type =

#Configure the static IP address, submask, gateway and DNS server.
#Require reboot;
network.internet_port.ip =
network.internet_port.mask =
network.internet_port.gateway =
network.primary_dns = {$dns_server_primary}
network.secondary_dns = {$dns_server_secondary}

#Configure the username and password for PPPOE connection.
#Require reboot;
network.pppoe.user =
network.pppoe.password =

#Enable or disable the VLAN of WAN port; 0-Disabled(default), 1-Enabled;
#Require reboot;
network.vlan.internet_port_enable =

#Configure the VLAN ID, it ranges from 1 to 4094, the default value is 1.
#Require reboot;
network.vlan.internet_port_vid =

#Configure the VLAN priority, it ranges from 0 (default) to 7.
#Require reboot;
network.vlan.internet_port_priority =

#Configure the HTTP port (80 by default) and the HTTPS port (443 by default) of the web server. Both range from 1 to 65535.
#Require reboot;
network.port.http =
network.port.https =

#Configure the maximum local RTP port. It ranges from 0 to 65535, the default value is 11800.
#Require reboot;
network.port.max_rtpport =

#Configure the minimum local RTP port. It ranges from 0 to 65535, the default value is 11780.
#Require reboot;
network.port.min_rtpport =

#Configure the voice QOS. It ranges from 0 to 63, the default value is 40.
#Require reboot;
network.qos.rtptos =

#Configure the SIP QOS. It ranges from 0 to 63, the default value is 26.
#Require reboot;
network.qos.signaltos =

#Configure the 802.1x mode; 0-Disabled (default), 1-Enabled (EAP-MD5);
#Require reboot;
network.802_1x.mode =

#Configure the username and password for 802.1x authentication.
#Require reboot;
network.802_1x.identity =
network.802_1x.md5_password =

#Enable or disable the VPN feature; 0-Disabled (default), 1-Enabled;
#Require reboot;
network.vpn_enable =

#Enable or disable the LLDP feature; 0-Disabled, 1-Enabled (default);
#Require reboot;
network.lldp.enable =

#Configure the interval (in seconds) the phone broadcasts the LLDP request. It ranges from 1 to 3600, the default value is 60.
#Require reboot;
network.lldp.packet_interval =

#######################################################################################
##                Syslog Server                                                      ##
#######################################################################################

#Configure the syslog mode; 1-Local, 2-Server;
#Require reboot;
syslog.mode =

#Configure the IP address of the syslog server;
#Require reboot;
syslog.server =

#Configure the syslog level. It ranges from 0 to 6, the default value is 3.
#Require reboot;
syslog.log_level =

#######################################################################################
##                 TR069                                                             ##
#######################################################################################

#The TR069 feature is only applicable to some designated firmware versions;
#All settings of TR069 require reboot;
#Enable or disable the TR069 feature; 0-Disabled (default), 1-Enabled;
managementserver.enable =

#Configure the username and password for the phone to authenticate with the ACS;
managementserver.username =
managementserver.password =

#Configure the access URL of the ACS;
managementserver.url =

#Configure the username and password for the phone to authenticate the connection requests;
managementserver.connection_request_username =
managementserver.connection_request_password =

#Enable or disable the phone to inform the ACS of its configuration; 0-Disabled (default), 1-Enabled;
managementserver.periodic_inform_enable = 0

#Configure the interval (in seconds) the phone to inform the ACS of its configuration. The default value is 60.
managementserver.periodic_inform_interval =

#######################################################################################
##                 Auto Provisioning                                                 ##
#######################################################################################

#Enable or disable the Plug and Play feature; 0-Disabled, 1-Enabled(default);
auto_provision.pnp_enable =

#Enable or disable the phone to check new configuration when powered on; 0-Disabled, 1-Enabled (default);
auto_provision.mode =

#Enable or disable the phone to check the new configuration repeatedly; 0-Disabled (default), 1-Enabled;
auto_provision.repeat.enable =

#Configure the interval (in minutes) the phone repeatedly checks the new configuration. The default is 1440.
auto_provision.repeat.minutes =

#Enable or disable the phone to check the new configuration weekly; 0-Disabled (default), 1-Enabled;
auto_provision.weekly.enalbe = 0

#Configure the week time the phone checks the new configuration. Applicable when the auto provisioning mode is configured as weekly or power on + weekly.
auto_provision.weekly.mask = 0123456
auto_provision.weekly.begin_time = 00:00
auto_provision.weekly.end_time = 00:00

#Configure the URL of the auto provisioning server.
auto_provision.server.url =

#Configure the username and password for downloading.
auto_provision.server.username = {$http_auth_username}
auto_provision.server.password = {$http_auth_password}

#Configure the domain name of the PNP server.
auto_provision.pnp_domain_name =

#Configure the PNP vendor information.
auto_provision.pnp_event_vendor =

#Configure the name of the Common configuration file.
auto_provision.common_file_name =

#Enable or disable the DHCP option mode; 0-Disabled, 1-Enabled (default);
auto_provision.dhcp_enable =

#Configure the value (manufacturer of the device) of DHCP option 60.
auto_provision.dhcp_option.option60_value =

#Configure the custom DHCP option number. It ranges from 128 to 254.
auto_provision.dhcp_option.list_user_options =

#Configure AES key (16 characters) for decrypting the common CFG file.
auto_provision.aes_key_16.com =

#Configure AES key (16 characters) for decrypting the MAC-Oriented CFG file.
auto_provision.aes_key_16.mac =

#######################################################################################
##	               Auto Provisioning Code                                            ##
#######################################################################################

#This feature allows user to trigger the auto provisioning by dialing a predefined string on the phone, when there is no available accounts.
#Require reboot;
# "X" ranges from 1 to 50

#Configure the auto provisioning name.
#The value format is String, the maximum length is 100;
#autoprovision.x.name =

#Configure the auto provisioning code.
#The valid value is a string, the maximum length is 100.
#autoprovision.x.code =

#Configure the URL of the auto provisioning server.
#The valid value is a string, the maximum length is 256.
#autoprovision.x.url =

#Configure the username and password for downloading.
#The valid value is a string, the maximum length is 100.
#autoprovision.x.user =
#autoprovision.x.password =

#Configure AES key (16 characters) for decrypting the common CFG file and MAC-Oriented CFG file.
#autoprovision.x.com_aes =
#autoprovision.x.mac_aes =

autoprovision.1.name =
autoprovision.1.code =
autoprovision.1.url =
autoprovision.1.user =
autoprovision.1.password =
autoprovision.1.com_aes =
autoprovision.1.mac_aes =

autoprovision.2.name =
autoprovision.2.code =
autoprovision.2.url =
autoprovision.2.user =
autoprovision.2.password =
autoprovision.2.com_aes =
autoprovision.2.mac_aes =

#######################################################################################
##	                Phone Features                                                   ##
#######################################################################################

#Enable or disable the phone to escape the pound key as percent sign followed by 23 when dialing out; 0-Disabled, 1-Enabled (default);
sip.use_23_as_pound =

#Enable or disable the RFC2543 Hold feature; 0-Disabled (default), 1-Enabled;
sip.rfc2543_hold =

#Enable or disable the phone to keep sending the SIP messages to the outbound server; 0-Disabled, 1-Enabled (default);
sip.use_out_bound_in_dialog =

#Configure the registration random time (in seconds). It ranges from 0 (default) to 60.
sip.reg_surge_prevention =

#Enable or disable the WatchDog feature; 0-Disabled, 1-Enabled (default);
watch_dog.enable =

#Enable or disable the transferee to display the missed call prompt when receiving a semi_attended transfer call;
#0-Disabled, 1-Enabled (default);
transfer.semi_attend_tran_enable =

#Enable or disable the phone to complete the blind or attended transfer through on-hook;
#0-Disabled (default), 1-Enabled;
transfer.blind_tran_on_hook_enable =
transfer.on_hook_trans_enable =

#Enable or disable the conference initiator to transfer the call when hanging up;
#0-Disabled (default), 1-Enabled;
transfer.tran_others_after_conf_enable =

#Enable or disable to access the web user interface of phone using the http/https protocol;
#0-Disabled,1-Enabled (default);
#Require Reboot;
wui.https_enable =
wui.http_enable =

#Enable or disable the feature key synchronization, 0-Disabled (default), 1-Enabled;
bw.feature_key_sync =

#Enable or disable the conference feature on the phone, 0-Disabled, 1-Enabled(default);
#Require reboot;
features.conference_enable =

#Enable or disable the hoteling feature, 0-Disabled (default), 1-Enabled;
#Require reboot;
features.hoteling.enable =

#Enable or disable the ACD feature on the phone, 0-Disabled (default), 1-Enabled;
#Require reboot;
acd.enable =

#######################################################################################
##                                   Voice                                           ##
#######################################################################################

#Configure the receiving volume of Speaker, Handset and Headset. It ranges from 0 to 15, the default value is 5.
voice.handfree.spk_vol =
voice.handset.spk_vol =
voice.headset.spk_vol =

#Configure the ring volume. It ranges from 0 to 15, the default value is 5.
voice.ring_vol =

#######################################################################################
##         	                   Security Settings                                     ##
#######################################################################################

#Enable or disable the phone to only accept the certificates in the Trusted Certificates list;
#0-Disabled, 1-Enabled (default);
security.trust_certificates = {if $trusted_cert_only == "false"}0{elseif $trusted_cert_only == "true"}1{/if}

#Set the password of the user or the administrator, the value format is: user:password or admin:password;
#security.user_password = admin:admin123
security.user_password =

#######################################################################################
##         	                  DSS Key                                                ##
#######################################################################################

#memorykey.x.line: Configure the desired line to apply the key feature. It ranges from 0 to 4.
#The value 0 of the "memorykey.x.line" stands for Auto, it means the first available line.
#But, when the DSS key is configured as BLF, BLF List, Shared Line, Call Park, Pick Up, ACD or Voice Mail feature, the value 0 stands for line 1.
#memorykey.x.value: Enter the value of some features. E.g. When configuring the DSS key to be BLF, enter the number of the monitored user.
#memorykey.x.pickup_value: Enter the pickup code, this parameter is only appilicable to BLF.
#memorykey.x.type: Assign the desired feature to the memory key.
#Valid types are:: 0-N/A(default for memory key)    1-Conference    2-Forward    3-Transfer    4-Hold    5-DND    6-Redial    7-Call Return    8-SMS    9-Call Pickup    10-Call Park
#                  11-DTMF    12-Voicemail    13-SpeedDial    14-Intercom    15-Line(default for line key)    16-BLF    17-URL    18-Group Listening    19-Public Hold    20-Private Hold
#                  21-Shared Line    22-XML Group    23-Group Pickup    24- Paging    25-Record    27-XMLbrowser    35-URLRecord    37-Switch    38-LDAP    39-BLF List
#                  40-Prefix    41- Zero-Sp-Touch    42-ACD    45-Local Group    46-Broadsoft Group
#memorykey.x.xml_phonebook: Specify the desired remote phonebook/local group/BSFT phonebook for the DSS key. This parameter is only appilicable to the feature XML Group/Local Group/Broadsoft Group.
#memorykey.x.label: configure the label for each key dispalying on LCD screen.

# Configure DSS Key1
memorykey.1.line =
memorykey.1.value =
memorykey.1.pickup_value =
memorykey.1.type =
memorykey.1.xml_phonebook =
memorykey.1.label =

# Configure DSS Key2
memorykey.2.line =
memorykey.2.value =
memorykey.2.pickup_value =
memorykey.2.type =
memorykey.2.xml_phonebook =
memorykey.2.label =

# Configure DSS Key3
memorykey.3.line =
memorykey.3.value =
memorykey.3.pickup_value =
memorykey.3.type =
memorykey.3.xml_phonebook =
memorykey.3.label =

# Configure DSS Key4
memorykey.4.line =
memorykey.4.value =
memorykey.4.pickup_value =
memorykey.4.type =
memorykey.4.xml_phonebook =
memorykey.4.label =

# Configure DSS Key5
memorykey.5.line =
memorykey.5.value =
memorykey.5.pickup_value =
memorykey.5.type =
memorykey.5.xml_phonebook =
memorykey.5.label =

# Configure DSS Key6
memorykey.6.line =
memorykey.6.value =
memorykey.6.pickup_value =
memorykey.6.type =
memorykey.6.xml_phonebook =
memorykey.6.label =

# Configure DSS Key7
memorykey.7.line =
memorykey.7.value =
memorykey.7.pickup_value =
memorykey.7.type =
memorykey.7.xml_phonebook =
memorykey.7.label =

# Configure DSS Key8
memorykey.8.line =
memorykey.8.value =
memorykey.8.pickup_value =
memorykey.8.type =
memorykey.8.xml_phonebook =
memorykey.8.label =

# Configure DSS Key9
memorykey.9.line =
memorykey.9.value =
memorykey.9.pickup_value =
memorykey.9.type =
memorykey.9.xml_phonebook =
memorykey.9.label =

# Configure DSS Key10
memorykey.10.line =
memorykey.10.value =
memorykey.10.pickup_value =
memorykey.10.type =
memorykey.10.xml_phonebook =
memorykey.10.label =

# Configure DSS Key11
memorykey.11.line =
memorykey.11.value =
memorykey.11.pickup_value =
memorykey.11.type =
memorykey.11.xml_phonebook =
memorykey.11.label =

# Configure DSS Key12
memorykey.12.line =
memorykey.12.value =
memorykey.12.pickup_value =
memorykey.12.type =
memorykey.12.xml_phonebook =
memorykey.12.label =

# Configure DSS Key13
memorykey.13.line =
memorykey.13.value =
memorykey.13.pickup_value =
memorykey.13.type =
memorykey.13.xml_phonebook =
memorykey.13.label =

# Configure DSS Key14
memorykey.14.line =
memorykey.14.value =
memorykey.14.pickup_value =
memorykey.14.type =
memorykey.14.xml_phonebook =
memorykey.14.label =

# Configure DSS Key15
memorykey.15.line =
memorykey.15.value =
memorykey.15.pickup_value =
memorykey.15.type =
memorykey.15.xml_phonebook =
memorykey.15.label =

# Configure DSS Key16
memorykey.16.line =
memorykey.16.value =
memorykey.16.pickup_value =
memorykey.16.type =
memorykey.16.xml_phonebook =
memorykey.16.label =

# Configure DSS Key17
memorykey.17.line =
memorykey.17.value =
memorykey.17.pickup_value =
memorykey.17.type =
memorykey.17.xml_phonebook =
memorykey.17.label =

# Configure DSS Key18
memorykey.18.line =
memorykey.18.value =
memorykey.18.pickup_value =
memorykey.18.type =
memorykey.18.xml_phonebook =
memorykey.18.label =

#######################################################################################
##                                   Security                                        ##
#######################################################################################
#Enable or disable the phone to only accept the certificates in the Trusted Certificates list;
#0-Disabled, 1-Enabled (default);
#security.trust_certificates =

#Define the login username and password of the user, var and administrator.
#If you change the username of the administrator from "admin" to "admin1", your new administrator's username should be configured as: security.user_name.admin = admin1.
#If you change the password of the administrator from "admin" to "admin1pwd", your new administrator's password should be configured as: security.user_password = admin1:admin1pwd.

#The following examples change the user's username to "user23" and the user's password to "user23pwd".
#security.user_name.user = user23
#security.user_password = user23:user23pwd
#The following examples change the var's username to "var55" and the var's password to "var55pwd".
{if isset($user_name) }
security.user_name.user = {$user_name}
security.user_password = {$user_name}:{$user_password}
{/if}
{if isset($admin_name) }
security.user_name.admin = {$admin_name}
security.user_password = {$admin_name}:{$admin_password}
{/if}
{if isset($var_name) }
security.user_name.var = {$var_name}
security.user_password = {$var_name}:{$var_password}
{/if}

#Enable or disable the 3-level permissions (open var); 0-Disabled (default), 1-Enabled;
#Require reboot;
security.var_enable =

#######################################################################################
##         	                  Line Key                                               ##
#######################################################################################

#The x of the parameter "linekey.x.line" ranges from 1 to 4.
#The default value equals to the value of x. For example, the default value of the parameter "linekey.1.line" is 1.
#linekey.x.lable--Define the label for each line key.

#Configure Linekey1
linekey.1.line =
linekey.1.value =
linekey.1.pickup_value =
linekey.1.type =
linekey.1.xml_phonebook =
linekey.1.label =

#Configure Linekey2
linekey.2.line =
linekey.2.value =
linekey.2.pickup_value =
linekey.2.type =
linekey.2.xml_phonebook =
linekey.2.label =

#Configure Linekey3
linekey.3.line =
linekey.3.value =
linekey.3.pickup_value =
linekey.3.type =
linekey.3.xml_phonebook =
linekey.3.label =

#Configure Linekey4
linekey.4.line =
linekey.4.value =
linekey.4.pickup_value =
linekey.4.type =
linekey.4.xml_phonebook =
linekey.4.label =

#######################################################################################
#         	                   Action URL                                            ##
#######################################################################################

#action_url.incoming_call: configure the phone to send message to the specified server when receiving incoming call;
#action_url.dnd_on: configure the phone to send message to the specified server when DND feature is activated;
#The value format is: http://IP address of server/help.xml?mac=$mac
#action_url.log_on = http://192.168.1.20/help.xml?mac=$mac

action_url.setup_completed =
action_url.log_on =
action_url.log_off =
action_url.register_failed =
action_url.off_hook =
action_url.on_hook =
action_url.incoming_call =
action_url.outgoing_call =
action_url.call_established =
action_url.dnd_on =
action_url.dnd_off =
action_url.always_fwd_on =
action_url.always_fwd_off =
action_url.busy_fwd_on =
action_url.busy_fwd_off =
action_url.no_answer_fwd_on =
action_url.no_answer_fwd_off =
action_url.transfer_call =
action_url.blind_transfer_call =
action_url.attended_transfer_call =
action_url.hold =
action_url.unhold =
action_url.mute =
action_url.unmute =
action_url.missed_call =
action_url.call_terminated =
action_url.busy_to_idle =
action_url.idle_to_busy =

#Configure the phone to send message to the specified server when changing the IP address;
action_url.ip_change =

#Configure the phone to send message to the specified server when forwarding or rejecting incoming call, or answering new incoming call;
action_url.forward_incoming_call =
action_url.reject_incoming_call =
action_url.answer_new_incoming_call =

#Configure the phone to send message to the specified server when transfer finished/transfer failed;
action_url.transfer_finished =
action_url.transfer_failed =

#Configure the phone to send message to the specified server when rejecting the new incoming call;
action_url.reject_new_incoming_call =

#Configure the phone to send message to the specified server when the phone cancels to call out,the remote called party is busy or the remote party cancels the call;
action_url.cancel_callout =
action_url.remote_busy =
action_url.call_remote_canceled =

#######################################################################################
##         	                   Language Settings                                     ##
#######################################################################################

#Specify the web language, the valid values are: English, Chinese_S, German, Italian and Turkish;
lang.wui =

#Specify the LCD language, the valid values are: English (default), Chinese_S, German, French, Turkish, Italiano, Polish and Portungues;
lang.gui = English

#######################################################################################
##         	                   Time Settings                                         ##
#######################################################################################

#Configure the time zone and time zone name. The time zone ranges from -11 to +12, the default value is +8.
#The default time zone name is China(Beijing).
#local_time.time_zone = +8
#local_time.time_zone_name = China(Beijing)
local_time.time_zone = {$yealink_time_zone}
local_time.time_zone_name = {$yealink_time_zone_name}

#Configure the domain name or the IP address of the NTP server. The default value is cn.pool.ntp.org.
local_time.ntp_server1 = {$ntp_server_primary}
local_time.ntp_server2 = {$ntp_server_secondary}

#Configure the update interval (in seconds) when using the NTP server. The default value is 1000.
local_time.interval =

#Configure the daylight saving time feature; 0-Disabled, 1-Enabled, 2-Automatic (default);
local_time.summer_time =

#Configure the DST type when the DST feature is enabled; 0-By Date (default), 1-By Week;
local_time.dst_time_type =

#Configure the start time of DST. The default value is 1/1/0.
#If the DST type is configured as By Date, the value format is Month/Day/Hour. For example, the value 5/20/10 means the start time is at 10:00 on May 20.
#If the DST type is configured as By Week, the value format is Month/Day of Week/Day of Week Last in Month/Hour of Day.
#For example, the value 1/4/2/5 means the start time is at 5 o'clock on Tuesday of the 4th week in January.
local_time.start_time = {$yealink_time_zone_start_time}

#Configure the end time of DST. The default value is 12/31/23. The value format is the same to the start time.
local_time.end_time = {$yealink_time_zone_end_time}

#Configure the offset time (in seconds). It ranges from -300 to 300, the default value is blank.
local_time.offset_time = {$yealink_offset_time}

#Configure the time format; 0-12 Hour, 1-24 Hour (default);
local_time.time_format = {$yealink_time_format}

#Configure the date format; 0-WWW MMM DD (default), 1-DD-MMM-YY, 2-YYYY-MM-DD, 3-DD/MM/YYYY, 4-MM/DD/YY, 5-DD MMM YYYY, 6-WWW DD MMM;
local_time.date_format = {$yealink_date_format}

#Enable or disable the DHCP Time; 0-Disabled (default), 1-Enabled;
local_time.dhcp_time = {$yealink_dhcp_time}

#Enable or disable the manual time; 0-NTP time, 1-manual time. The default value is 0.
local_time.manual_time_enable =

#######################################################################################
##         	               Auto Redial                                               ##
#######################################################################################

#Enable or disable the auto redial feature; 0-Disabled (default), 1-Enabled;
auto_redial.enable =

#Configure the interval (in seconds) to wait before redial. It ranges from 1 to 300. The default value is 10.
auto_redial.interval = 10

#Configure the times of auto redialing. It ranges from 1 to 300. The default value is 10.
auto_redial.times = 10

#######################################################################################
##         	               Zero Touch                                                ##
#######################################################################################

#Enable or disable the zero-sp-touch; 0-Disabled (default), 1-Enabled;
zero_touch.enable = 0

#Configure the waiting time (in seconds) before canceling the zero-sp-touch. It ranges from 0 to 100, the default value is 5.
zero_touch.wait_time = 5

#######################################################################################
##         	               Push XML                                                  ##
#######################################################################################
push_xml.server =

#Enable or disable the phone to display the push XML interface when receiving an incoming call; 0-Disabled (default), 1-Enabled;
push_xml.block_in_calling = 0

#Enable or disable the phone to use the push XML via SIP Notify message; 0-Disabled (default), 1-Enabled;
push_xml.sip_notify = 0

#######################################################################################
##         	             Dial Plan                                                   ##
#######################################################################################

#Configure the area code.
dialplan.area_code.code =
dialplan.area_code.min_len = 1
dialplan.area_code.max_len = 15

#When applying the rule to multiple lines, each line ID separated by comma.
#e.g. dialplan.area_code.line_id = 1, 2, 3
dialplan.area_code.line_id =

#Configure the block out number. X ranges from 1 to 10.
#dialplan.block_out.number.x =
dialplan.block_out.number.1 =

#When applying the rule to multiple lines, each line ID separated by comma, e.g. 1,2,3.
#dialplan.block_out.line_id.x =
dialplan.block_out.line_id.1 =

#Configure the dialnow rule for the phone. X ranges from 1 to 10;
#dialplan.dialnow.rule.x =
#dialplan.dialnow.line_id.x =

dialplan.dialnow.rule.1 =
dialplan.dialnow.line_id.1 =

#Configure the replace rule. X ranges from 1 to 10;
#dialplan.replace.prefix.x =
#dialplan.replace.replace.x =
#dialplan.replace.line_id.x =

dialplan.replace.prefix.1 =
dialplan.replace.replace.1 =
dialplan.replace.line_id.1 =

#######################################################################################
##         	    BSFT Phonebook                                                       ##
#######################################################################################

#Configuration of BW phonebook. X ranges from 1 to 6.
#bw_phonebook.display_name =
#bw_phonebook.data.x.server =
#bw_phonebook.data.x.port =
#bw_phonebook.data.x.username =
#bw_phonebook.data.x.password =
#bw_phonebook.data.x.name =

bw_phonebook.display_name =
bw_phonebook.data.1.server =
bw_phonebook.data.1.port =
bw_phonebook.data.1.username =
bw_phonebook.data.1.password =
bw_phonebook.data.1.name =

bw_phonebook.data.2.server =
bw_phonebook.data.2.port =
bw_phonebook.data.2.username =
bw_phonebook.data.2.password =
bw_phonebook.data.2.name =

#X ranges from 1 to 6;
#Configure the search parameter of broadsoft phonebook version 1.0;
#bw_phonebook.search_list_v1.x =

#Configure the search parameter of broadsoft phonebook version 2.0;
#bw_phonebook.search_list_v2.x =

#Configure the mode of search parameters; 0-AND, 1-OR (default);
#bw_phonebook.search_mode_or.x =

bw_phonebook.search_list_v1.1 =
bw_phonebook.search_list_v2.2 =
bw_phonebook.search_mode_or.3 =
#######################################################################################
##         	   BSFT Call Log                                                         ##
#######################################################################################

#Configuration of the BW call log. X ranges from 1 to 6.
#This feature is only applicable to some designated firmware version;
#bw_call_log.display_name =
#bw_call_log.data.x.server =
#bw_call_log.data.x.port =
#bw_call_log.data.x.username =
#bw_call_log.data.x.password =
#bw_call_log.data.x.name =

bw_call_log.display_name =
bw_call_log.data.1.server =
bw_call_log.data.1.port =
bw_call_log.data.1.username =
bw_call_log.data.1.password =
bw_call_log.data.1.name =

bw_call_log.data.2.server =
bw_call_log.data.2.port =
bw_call_log.data.2.username =
bw_call_log.data.2.password =
bw_call_log.data.2.name =



#######################################################################################
##         	    Remote Phonebook                                                     ##
#######################################################################################

#Configure the access URL and dispaly name of the remote phonebook. X ranges from 1 to 5.
remote_phonebook.display_name =

{if isset($yealink_remote_phonebook_1_name) }
remote_phonebook.data.1.name = {$yealink_remote_phonebook_1_name}
{else}
remote_phonebook.data.1.name = Users
{/if}
{if isset($yealink_remote_phonebook_1_url) }
remote_phonebook.data.1.url =  {$yealink_remote_phonebook_1_url}
{else}
remote_phonebook.data.1.url = http://{if isset($http_auth_username)}{$http_auth_username}:{$http_auth_password}@{/if}{$domain_name}/app/provision/?file=directory.xml&contacts=users
{/if}

{if isset($yealink_remote_phonebook_2_name) }
remote_phonebook.data.2.name = {$yealink_remote_phonebook_2_name}
{else}
remote_phonebook.data.2.name = Groups
{/if}
{if isset($yealink_remote_phonebook_2_url) }
remote_phonebook.data.2.url =  {$yealink_remote_phonebook_2_url}
{else}
remote_phonebook.data.2.url = http://{if isset($http_auth_username)}{$http_auth_username}:{$http_auth_password}@{/if}{$domain_name}/app/provision/?file=directory.xml&contacts=groups
{/if}

{if isset($yealink_remote_phonebook_3_name) }
remote_phonebook.data.3.name = {$yealink_remote_phonebook_3_name}
{else}
remote_phonebook.data.3.name = Extensions
{/if}
{if isset($yealink_remote_phonebook_3_url) }
remote_phonebook.data.3.url =  {$yealink_remote_phonebook_3_url}
{else}
remote_phonebook.data.3.url = http://{if isset($http_auth_username)}{$http_auth_username}:{$http_auth_password}@{/if}{$domain_name}/app/provision/?file=directory.xml&contacts=extensions
{/if}

remote_phonebook.data.4.name = {$yealink_remote_phonebook_4_name}
remote_phonebook.data.4.url =  {$yealink_remote_phonebook_4_url}

remote_phonebook.data.5.name = {$yealink_remote_phonebook_5_name}
remote_phonebook.data.5.url =  {$yealink_remote_phonebook_5_url}

#######################################################################################
##                                   Network Directory                               ##
#######################################################################################

#Configure the interval(in minutes) for the phone to update phonebook,(1440 by default);
directory.update_time_interval =

#Enable or disable the phone to match the incoming call with the contact in the remote phonebook; 0-Disabled, 1-Enabled(default);
directory.incoming_call_match_enable =

#Enable or disable the broadsoft directory; 0-Disabled (default), 1-Enabled;
bw.directory_enable =

#######################################################################################
##         	              LDAP Settings                                              ##
#######################################################################################

#Enable or disable the LDAP feature; 0-Disabled(default), 1-Enabled;
ldap.enable =
#Custom the display name of the LDAP.
ldap.customize_label =

#Configure the search criteria for name and number lookups.
ldap.name_filter =
ldap.number_filter =

ldap.host =
ldap.port = 389

ldap.base =
ldap.user =
ldap.password =

#Specify the maximum of the displayed search results. It ranges from 1 to 32000, the default value is 50.
ldap.max_hits = 50

ldap.name_attr =
ldap.numb_attr =
ldap.display_name =

#Configure the LDAP version. The valid value is 2 or 3 (default).
ldap.version = 3

#Enable or disable the phone to query the contact name from the LDAP server when receiving an incoming call; 0-Disabled (default), 1-Enabled;
ldap.call_in_lookup = 0

#Enable or disable the phone to sort the search results in alphabetical order; 0-Disabled (default), 1-Enabled;
ldap.ldap_sort = 0

#######################################################################################
##         	              Phone Settings                                             ##
#######################################################################################

#Configure the return code when activating DND; 404-No Found, 480-Temporarily not available (default), 486-Busy here;
#features.dnd_refuse_code = 480

#Configure the return code when refusing a call. The valid values are 404, 480, 486 (default).
features.normal_refuse_code = 486

features.call_completion_enable = 0
features.dnd.on_code = *78
features.dnd.off_code = *79

#Enable or disable the call waiting feature; 0-Disabled, 1-Enabled (default);
call_waiting.enable = {$yealink_call_waiting}

#Enable or disable the playing of call waiting tone; 0-Disabled, 1-Enabled (default);
call_waiting.tone =

#Enable or disable the intercom feature; 0-Disabled, 1-Enabled (default);
features.intercom.allow =

#Enable or disable the phone to mute the Speaker when answering an intercom call; 0-Disabled (default), 1-Enabled;
features.intercom.mute =

#Enable or disable the phone to play the intercom warning tone; 0-Disabled, 1-Enabled (default);
features.intercom.tone =

#Enable or disable the phone to barge in an intercom call; 0-Disabled, 1-Enabled (default);
features.intercom.barge =

#Configure the hotline number and delay time (in seconds). It ranges from 0 to 180, the default value of delay time is 4.
features.hotline_number =
features.hotline_delay =

#Configure the delay time (in seconds) of playing busy tone when rejecting a call. The valid values are 0 (default), 3 and 5.
features.busy_tone_delay =

#Define the "#" or "*" key as the send key; 0-Disabled, 1-# key(default), 2-* key;
features.pound_key.mode =

#Enable or disable the phone to play tone when pressing the digit key; 0-Disabled, 1-Enabled (default);
features.send_key_tone =
features.key_tone =

features.redial_tone =

#Enable or disable the phone to save the call history; 0-Disabled, 1-Enabled (default);
features.save_call_history =

#Configure the phone to receive the action URI request from the specified IP address(es) or any IP address;
#Enter multiple IP addresses (separated by comma) or "any"(stands for any IP address);
features.action_uri_limit_ip =

#Configure the overtime (in minutes) of logging web user interface. It ranges from 1 to 1000, the default value is 5.
features.relog_offtime = 5

#Enable or disable the phone to dial the IP address directly; 0-Disabled, 1-Enabled (default);
#Require reboot;
features.direct_ip_call_enable = 0
sip.trust_ctrl=1

#Specify the ring device when the phone is in the Headset mode; 0-use Speaker (default), 1-use Headset;
features.ringer_device.is_use_headset = 0

#Enable or disable the phone to display the local camera when in the fullscreen state, 0-Disabled, 1-Enabled(default);
features.fullscreen_local_visible = 1

#Configure the time (in seconds) the phone automatically dial out the dialed digits. It ranges from 1 to 14, the default value is 4.
phone_setting.inter_digit_time = 4

#Configure the ring tone for the phone. System ring tones are: common (default), Ring1.wav, Ring2.wav¡­¡­Ring8.wav.
#If you set the custom ring tone (Busy.wav) for the phone, the value is: phone_setting.ring_type = Custom:Busy.wav
#If you set the system ring tone (Ring2.wav) for the phone, the value is: phone_setting.ring_type = Resource:Ring2.wav
phone_setting.ring_type =

#Configure the active backlight level, Integer,1-10 (6 by default);
phone_setting.active_backlight_level =

#Configure the inactive backlight level. It ranges from 1 to 10, the default value is 1.
phone_setting.inactive_backlight_level = 1

#Configure the backlight time (in seconds). The valid values are 1-Always on, 60 (default), 120, 300, 600, 1800.
phone_setting.backlight_time =

#Enable or disable the phone to automatically dial out the dialed digits in the pre-dial interface; 0-Disabled (default), 1-Enabled;
phone_setting.predial_autodial = 1

#Enable or disable the phone to deal the 180 SIP message after the 183 SIP message; 0-Disabled, 1-Enabled (default);
phone_setting.is_deal180 = 1

#Configure the delay time (in seconds) for the dialnow rule. It ranges from 1 to 14, the default value is 4.
phone_setting.dialnow_delay = 4

#Enable or disable the phone to display the shortcut menu on the idle screen; 0-Disabled (default), 1-Enabled;
phone_setting.shortcuts_enable = 0

#Enable or disable the phone to display the recent call in the pre-dial interface; 0-Disabled, 1-Enabled (default);
super_search.recent_call = 1

#Enable or disable the phone to display the soft dialpad in the pre-dial interface; 0-Disabled, 1-Enabled (default);
super_search.dial_pad = 1

#Enable or disable the phone to hide the value N/A of the DSS key; 0-Disabled (default), 1-Enabled;
#Require reboot;
phone_setting.dsskey_hide_enable =

#Enable or disable the phone to configure the soft key on the idle screen; 0-Disabled (default), 1-Enabled;
#Require reboot;
phone_setting.softkey_enable =

#Enable or disable the phone to strip out the URL from the alert-info header; 0-Disabled, 1-Enabled (default);
phone_setting.parse_ring_url_enable =

#Enable or disable the Tel mode; 0-SIP (default), 1-Tel;
phone_setting.tel_mode =

#Enable or disable the action URL feature; 0-Disabled, 1-Enabled (default);
phone_setting.action_uri_enable =

#Enable or disable the phone to display the Account menu icon; 0-Disabled, 1-Enabled (default);
#Require reboot;
phone_setting.account_show_enable =

#Disable missed call power led flash 0-Disabled, 1-Enabled
phone_setting.missed_call_power_led_flash.enable = 0

#######################################################################################
##                     Configure a server URL for firmware update                    ##
#######################################################################################
firmware.url =

#######################################################################################
##                     Configure a server URL for customizing a ringtones            ##
#######################################################################################
ringtone.url =

#ringtone.delete = http://localhost/all,delete all the customized ring tones;
ringtone.delete =

#######################################################################################
##                    Certificates                                                   ##
#######################################################################################
trusted_certificates.url =

#trusted_certificates.delete = http://localhost/all,delete all the trusted certificates;
trusted_certificates.delete =

server_certificates.url =

#server_certificates.delete = http://localhost/all, delete the server certificate;
server_certificates.delete =

#######################################################################################
##  Local Contact/DST Time/Dialnow Rule/Replace Rule                                 ##
#######################################################################################
local_contact.data.url =
auto_dst.url =
dialplan_dialnow.url =
dialplan_replace_rule.url =

#######################################################################################
##      Customized Factory Configurations                                            ##
#######################################################################################
#Configure the access URL for downloading the customized factory configurations;
custom_factory_configuration.url =

#######################################################################################
##     	Camera/Doorphone data/Contact image/Wallpaper                                ##
#######################################################################################
#Configure the access URL for downloading the camera data;
doorphone_data.url =

#Configure access URL for downloading customized image of local contact;
local_contact_image.url =

#Configure the server address for uploading a .tar file which contains mutiple contact images;
local_contact_image.tar.url =

#Configure the access URL for downloading the customized wallpaper;
wallpaper_upload.url = {$yealink_vp530_wallpaper}

#Configure the phone background.
#If you set the custom image (new.png) as phone backgroup, the value is: phone_setting.backgrounds = Config:new.png
#If you set the system image (1.jpg) as phone backgroup, the value is: phone_setting.backgrounds = Resource:1.jpg
phone_setting.backgrounds = Config:yealink_vp530_wallpaper.png

#######################################################################################
##          Call List                                                                ##
#######################################################################################
#Configure the access URL for downloading the call list;
#Require reboot;
call_list.url =

#######################################################################################
##            OpenVPN                                                                ##
#######################################################################################
#Configure the access URL for downloading the open VPN tar;
openvpn.url =

#######################################################################################
##                                   Level                                           ##
#######################################################################################
#Configure the access URL for downloading the files for var.
#Before using this parameter, you should store the desired files to the provisioning server.
#Require reboot
web_item_level.url =

#######################################################################################
##                                   Super Search URL                                ##
#######################################################################################
super_search.url =

#######################################################################################
##                                   Directory Setting                               ##
#######################################################################################
#Configure the access URL of the directory setting file.
directory_setting.url = http://{if isset($http_auth_username)}{$http_auth_username}:{$http_auth_password}@{/if}{$domain_name}/app/provision/?file=favorite_setting.xml

#######################################################################################
##                                   Shortcut Keys                                   ##
#######################################################################################

#Uploading the settings of the shortcut keys;
#Require reboot;
dialing_shortcut.url=
